﻿<%- include('partials/header') %>
<div class="form-container">
    <h2>Register</h2>
    <% if(locals.error) { %>
        <div class="alert alert-danger"><%= error %></div>
    <% } %>
    <form method="post">
        <div class="form-group">
            <label for="name">Name</label>
            <input type="text" name="name" id="name" class="form-control" value="<%= locals.name || '' %>" required />
        </div>
        <div class="form-group">
            <label for="ic">IC Number</label>
            <input type="text" name="ic" id="ic" class="form-control" value="<%= locals.id || '' %>" required />
        </div>
        <div class="form-group">
            <label for="nation">Nationality</label>
            <input type="text" name="nation" id="nation" class="form-control" value="<%= locals.nation || '' %>" required />
        </div>
        <div class="form-group">
            <label for="gender">Gender</label>
            <input type="text" name="gender" id="gender" class="form-control" value="<%= locals.gender || '' %>" required />
        </div>
        <div class="form-group">
            <label for="religion">Religion</label>
            <input type="text" name="religion" id="religion" class="form-control" value="<%= locals.religion || '' %>" required />
        </div>
        <div class="form-group">
            <label for="marriage">Marriage Status</label>
            <input type="marriage" name="marriage" id="marriage" class="form-control" value="<%= locals.marriage || '' %>" required />
        </div>
        <div class="form-group">
            <label for="matricNo">Matric Number</label>
            <input type="text" name="matricNo" id="matricNo" class="form-control" value="<%= locals.matricNo || '' %>" required />
        </div>
        <div class="form-group">
            <label for="faculty">Faculty</label>
            <input type="text" name="faculty" id="faculty" class="form-control" value="<%= locals.faculty || '' %>" required />
        </div>
        <div class="form-group">
            <label for="course">Course</label>
            <input type="text" name="course" id="course" class="form-control" value="<%= locals.course || '' %>" required />
        </div>
        <div class="form-group">
            <label for="dob">Date of Birth</label>
            <input type="date" name="dob" id="dob" class="form-control" value="<%= locals.dob || '' %>" required />
        </div>
        <div class="form-group">
            <label for="sob">State of Birth</label>
            <input type="text" name="sob" id="sob" class="form-control" value="<%= locals.sob || '' %>" required />
        </div>
        <div class="form-group">
            <label for="race">Race</label>
            <input type="text" name="race" id="race" class="form-control" value="<%= locals.race || '' %>" required />
        </div>
        <div class="form-group">
            <label for="address">Home Address</label>
            <input type="text" name="address" id="address" class="form-control" value="<%= locals.address || '' %>" required />
        </div>
        <div class="form-group">
            <label for="yearEnroll">Year Enroll</label>
            <input type="text" name="yearEnroll" id="yearEnroll" class="form-control" value="<%= locals.yearEnroll || '' %>" required />
        </div>
        <div class="form-group">
            <label for="yearGrad">Year Graduation</label>
            <input type="text" name="yearGrad" id="yearGrad" class="form-control" value="<%= locals.yearGrad || '' %>" required />
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input type="email" name="email" id="email" class="form-control" value="<%= locals.email || '' %>" required />
        </div>
        <div class="form-group">
            <label for="phoneNo">Phone Number</label>
            <input type="text" name="phoneNo" id="phoneNo" class="form-control" value="<%= locals.phoneNo || '' %>" required />
        </div>
        <div class="form-group">
            <label for="username">Username</label>
            <input type="text" name="username" id="username" class="form-control" value="<%= locals.username || '' %>" required />
        </div>
        <div class="form-group">
            <label for="password">Password</label>
            <input type="password" name="password" id="password" class="form-control" required />
        </div>
        <div class="form-group">
            <label for="dissability">Dissability</label>
            <input type="text" name="dissability" id="dissability" class="form-control" value="<%= locals.dissability || '' %>" required />
        </div>
        <div class="form-group">
            <label for="status">Student Status</label>
            <input type="text" name="status" id="status" class="form-control" value="<%= locals.status || '' %>" required />
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-primary">Register</button>
            <a href="/login" class="btn btn-link">Cancel</a>
        </div>
    </form>
</div>
<%- include('partials/footer') %>